Page MenuHomePhabricator

Create Esperanto Elasticsearch Plugin Using Esperanto Morphological Libraries
Closed, ResolvedPublic

Description

The Esperanto stemmer seems to work well. The results look reasonable to me, several people have given generally positive feedback, and the questions and concerns people have had don’t indicate that the word groupings are so bad that they wouldn’t be useful, overall.

So, the next step is to create an Elasticsearch plugin based on the stemmer. This stemmer's framework is based on the Serbian stemmer we converted to a plugin before (T183015), so it is GPLv3.

Event Timeline

TJones triaged this task as Normal priority.Jul 20 2018, 4:56 PM
TJones created this task.
Restricted Application added a subscriber: Petar.petkovic. · View Herald TranscriptJul 20 2018, 4:56 PM

Change 447676 had a related patch set uploaded (by Tjones; owner: Tjones):
[search/extra-analysis@master] [WIP] Convert Esperanto Stemmer to Elastic Plugin

https://gerrit.wikimedia.org/r/447676

TJones renamed this task from Create Esperanto Elasticsearch Plugin/Analysis Chain Using Esperanto Morphological Libraries to Create Esperanto Elasticsearch Plugin Using Esperanto Morphological Libraries.Aug 17 2018, 9:15 PM
TJones updated the task description. (Show Details)

I was able to load this in a Elasticsearch 6 Test environment and run it, so it is no longer [WIP]. I'm separating out the analysis chain as a separate ticket since I can't easily work on it yet, since we haven't finished upgrading to ES6.

Change 447676 merged by jenkins-bot:
[search/extra-analysis@master] Convert Esperanto Stemmer to Elastic Plugin

https://gerrit.wikimedia.org/r/447676

Change 454047 had a related patch set uploaded (by DCausse; owner: Tjones):
[search/extra-analysis@5.x] Convert Esperanto Stemmer to Elastic Plugin

https://gerrit.wikimedia.org/r/454047

Change 454047 merged by jenkins-bot:
[search/extra-analysis@5.x] Convert Esperanto Stemmer to Elastic Plugin

https://gerrit.wikimedia.org/r/454047

debt closed this task as Resolved.Aug 24 2018, 4:08 PM